io.undertow.util

## Class HeaderTokenParser<E extends HeaderToken>

- java.lang.Object
- - io.undertow.util.HeaderTokenParser<E>

    public class HeaderTokenParser<E extends HeaderToken>
    extends Object

Utility to parse the tokens contained within a HTTP header.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
Constructor and Description
`HeaderTokenParser(Map<String,E> expectedTokens)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<E,String>` `parseHeader(String header)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeaderTokenParser

    public HeaderTokenParser(Map<String,E> expectedTokens)

### Method Detail

#### parseHeader

    public Map<E,String> parseHeader(String header)